Snowplow Ruby Tracker 0.6.1 released [URGENT UPGRADE]


#1

Hello everybody,

We have just released new 0.6.1 version of Ruby Tracker.

This release introduces important bug fix related to invalid payload for POST requests. Everyone using Ruby Tracker highly recommended to upgrade.


#2

Hey @anton,

Thanks for the heads up! In what cases were we expected to see errors in POST requests?

Bernardo


#3

Hello Bernardo,

Sadly, I need to say that all events sent via POST using Ruby Tracker 0.6.0 (below versions are fine) will end up in bad bucket with error message similar to following:

errors":[{“level”:“error”,“message”:“error: object instance has properties which are not allowed by the schema: [“stm”]\n level: “error”\n schema: {“loadingURI”:”#",“pointer”:"/items"}\n instance: {“pointer”:"/0"}\n domain: “validation”\n keyword: “additionalProperties”\n unwanted: [“stm”]\n"}],“failure_tstamp”:“2016-12-26T14:31:12.560Z”}